<?php
/**
 * A general answer-status handler. So called "answer-status handler" are
 * classes which handles a message field 'answer-status' which is, alongside
 * many other node-relevant data, the main part of the answer message. These
 * answer messages, by the way, are never sent unrequested. This, however,
 * sounds logical because the answer is a reply from a node that has responded
 * on a message.
 *
 * The answer-status field gives information back to the requesting node if the
 * receiving node could handle the message properly (all verfication steps are
 * passed, message type was understood, correct receiver, et cetera) and how
 * it handles it. Some messages may be rejected, e.g. when the requesting node
 * is blacklisted or its behavour has changed.
 *
 * @author		Roland Haeder <webmaster@shipsimu.org>
 * @version		0.0.0
 * @copyright	Copyright (c) 2007, 2008 Roland Haeder, 2009 - 2015 Hub Developer Team
 * @license		GNU GPL 3.0 or any newer version
 * @link		http://www.shipsimu.org
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
abstract class BaseAnserStatusHandler extends BaseDataHandler {
	/**
	 * Protected constructor
	 *
	 * @param	$className	Name of the class
	 * @return	void
	 */
	protected function __construct ($className) {
		// Call parent constructor
		parent::__construct($className);
	}
}

// [EOF]
?>
