<?php
/**
 * A UDP raw data handler
 *
 * @author		Roland Haeder <webmaster@shipsimu.org>
 * @version		0.0.0
 * @copyright	Copyright (c) 2007, 2008 Roland Haeder, 2009 - 2015 Hub Developer Team
 * @license		GNU GPL 3.0 or any newer version
 * @link		http://www.shipsimu.org
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
class UdpRawDataHandler extends BaseRawDataHandler implements Networkable {
	/**
	 * Protected constructor
	 *
	 * @return	void
	 */
	protected function __construct () {
		// Call parent constructor
		parent::__construct(__CLASS__);

		// Set handler name
		$this->setHandlerName('udp');
	}

	/**
	 * Creates an instance of this class
	 *
	 * @return	$handlerInstance		An instance of a Networkable class
	 */
	public static final function createUdpRawDataHandler () {
		// Get new instance
		$handlerInstance = new UdpRawDataHandler();

		// Return the prepared instance
		return $handlerInstance;
	}

	/**
	 * Processes raw data from given resource. This is mostly useful for UDP
	 * package handling and is implemented in the UdpListener class
	 *
	 * @param	$socketArray	A valid socket resource array
	 * @return	void
	 * @throws	InvalidResourceException	If the given resource is invalid
	 * @todo	0%
	 */
	public function processRawDataFromResource (array $socketArray) {
		// Check the resource
		if ((!isset($socketArray[BasePool::SOCKET_ARRAY_RESOURCE])) || (!is_resource($socketArray[BasePool::SOCKET_ARRAY_RESOURCE]))) {
			// Throw an exception
			throw new InvalidResourceException($this, self::EXCEPTION_INVALID_RESOURCE);
		} // END - if

		// Implement processing here
		$this->partialStub('Please implement this method. resource=' . $socketArray[BasePool::SOCKET_ARRAY_RESOURCE] . ',type=' . $socketArray[BasePool::SOCKET_ARRRAY_CONN_TYPE]);
	}
}

// [EOF]
?>
